View Issue Details

IDProjectCategoryView StatusLast Update
0001826SymmetricDS ProImprovementpublic2014-07-29 16:50
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001826: Add "runas" support to Wrapper service
DescriptionAdd support to the wrapper service on Unix to start the wrapper and Java process under a different user. The init script can use the switch user "su" command to launch the command as a different user than root. The user can edit the init script after it is installed.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 878c94e9

2014-07-22 13:39:31

erilong

Details Diff
0001826: Add "runas" support to Wrapper service
0001826
mod - symmetric-wrapper/src/main/resources/symmetricds.initd Diff File

Issue History

Date Modified Username Field Change
2014-07-22 13:39 elong New Issue
2014-07-22 13:39 elong Status new => assigned
2014-07-22 13:39 elong Assigned To => elong
2014-07-22 13:39 elong Status assigned => resolved
2014-07-22 13:39 elong Fixed in Version => 3.6.3
2014-07-22 13:39 elong Resolution open => fixed
2014-07-22 14:00 Changeset attached => SymmetricDS trunk r8491
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 878c94e9